%define major 6
%define libname %mklibname openvas %{major}
%define develname %mklibname -d openvas
%define _disable_ld_no_undefined 1

Name:           openvas-libraries
Version:        6.0.0
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server
URL:            http://www.openvas.org
Source:         http://wald.intevation.org/frs/download.php/572/%{name}-%{version}.tar.gz
Patch1:         openvas-libraries-6.0.0-fix-linking.patch
Patch2:         openvas-libraries-6.0.0-mga-bison-parameter.patch
BuildRequires:  libpcap-devel
BuildRequires:  glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  gpgme-devel
BuildRequires:  libuuid-devel
BuildRequires:  libldap-devel
BuildRequires:	cmake
BuildRequires:	bison

%description
openvas-libraries is the base library for the OpenVAS network security scanner.

%package -n %{libname}
Group:		System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server

%description -n %{libname}
The support libraries for Open Vulnerability Assessment (OpenVAS) Server.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for openvas-libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openvas-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files (mainly C header files) for openvas-libraries.

%prep
%setup -qn openvas-libraries-%{version}
%patch1 -p 1
%patch2 -p 1

#sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%cmake -DLOCALSTATEDIR:PATH=%{_var} -DBUILD_WITH_LDAP=ON
make

%install
rm -fr %buildroot
%makeinstall_std -C build
find %{buildroot} -name *.la | xargs rm -f
find %{buildroot} -name *.a | xargs rm -f

%files
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*
%{_datadir}/openvas

%files -n %{libname}
%doc ChangeLog CHANGES
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/openvas
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Mon Dec 16 2013 danf <danf> 6.0.0-2.mga4
+ Revision: 557960
- Added bison-parameter.patch to fix build with bison 3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri May 31 2013 guillomovitch <guillomovitch> 6.0.0-1.mga4
+ Revision: 433760
- new version

* Sun Jan 13 2013 umeabot <umeabot> 5.0.4-2.mga3
+ Revision: 362178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 5.0.4-1.mga3
+ Revision: 336069
- new version

* Tue Oct 16 2012 guillomovitch <guillomovitch> 5.0.3-1.mga3
+ Revision: 307245
- new version

* Fri Dec 09 2011 guillomovitch <guillomovitch> 4.0.6-2.mga2
+ Revision: 179483
- new version
- new version
- spec cleanup

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 01 2011 dmorgan <dmorgan> 3.1.4-1.mga1
+ Revision: 46042
- imported package openvas-libraries


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2011.0
+ Revision: 602180
- br uuid
- drop old patches
- new version 3.1.4

* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 3.0.5-1mdv2010.1
+ Revision: 536368
- New version 3.0.5

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-3mdv2010.1
+ Revision: 480351
- obsoletes openvas-libnasl

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-2mdv2010.1
+ Revision: 480325
- obsoletes old libnasl

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 480324
- fix BR
- new version 3.0.0

* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.4-1mdv2010.0
+ Revision: 418247
- Update to new version 2.0.4
- Remove Makefile patch (not needed)
- Add patch to link with libgcrypt
- Add patch to fix format string errors

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2009.1
+ Revision: 366567
- import openvas-libraries


